def antexte(s):
    #
    # le texte doit etre formé de 2 mots séparés par un ou plusieurs blancs.
    #
    sspl= s.split()

    if len(sspl) != 2:
        return False,"",""
    else:
        return True,sspl[0],sspl[1]
#
s=" truc muche"

res=antexte(s)
print(res)

ok,prénom,nom = antexte(s)
if ok:
    print(prénom,nom)
else:
    print("chaîne entrée incorrecte.")
